curl --request PATCH \
--url https://api.myscalev.com/v3/bundles/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bundlelines": [
{
"quantity": 123,
"variant_id": 123
}
],
"custom_id": "<string>",
"description": "<string>",
"images": [
"<string>"
],
"meta_thumbnail": "<string>",
"name": "<string>",
"public_name": "<string>",
"rich_description": "<string>",
"weight_bump": 123
}
'{
"bundle_price_options": [
{
"form_displays": [
{
"id": 123,
"page_display": {
"id": 123,
"page": {
"id": 123,
"is_published": true,
"name": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"slug": "<string>",
"store_id": 123,
"unique_id": "<string>"
}
}
}
],
"id": 123,
"name": "<string>",
"price": 123,
"price_bt": 123,
"slug": "<string>",
"stores": [
{
"custom_domain": {
"full_url": "<string>",
"id": 123,
"is_verified": true
},
"id": 123,
"name": "<string>"
}
],
"unique_id": "<string>",
"upsell_form_displays": [
{
"id": 123,
"page_display": {
"id": 123,
"page": {
"id": 123,
"is_published": true,
"name": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"slug": "<string>",
"store_id": 123,
"unique_id": "<string>"
}
}
}
]
}
],
"bundlelines": [
{
"id": 123,
"quantity": 123,
"subtotal": "<string>",
"variant": {
"cogs": 123,
"price_bt": 123,
"validity_period_unit": "day",
"display": "<string>",
"option1_value": "<string>",
"image_configs": {},
"reseller_price_bt": 123,
"option2_value": "<string>",
"reseller_price": 123,
"fullname": "<string>",
"validity_period": 123,
"uuid": "<string>",
"sku": "<string>",
"digital_product_files": [
{
"content_type": "<string>",
"id": 123,
"name": "<string>",
"size_in_bytes": 123,
"url": "<string>"
}
],
"product_name": "<string>",
"item_type": "physical",
"pricing_type": "one_time",
"self_file_urls": [
"<string>"
],
"name": "<string>",
"id": 123,
"unique_id": "<string>",
"cogs_bt": 123,
"currency": "IDR",
"price": 123,
"images": [
"<string>"
],
"weight": 123,
"is_checked": true,
"interval_count": 123,
"last_updated_at": "2023-11-07T05:31:56Z",
"option3_value": "<string>",
"interval": "day",
"metadata": {},
"product": {
"business": {
"account_holder": "<string>",
"email": "jsmith@example.com",
"id": 123,
"is_banned": true,
"logo": "<string>",
"unique_id": "<string>",
"username": "<string>"
},
"description": "<string>",
"display": "<string>",
"id": 123,
"is_inventory": true,
"is_multiple": true,
"is_product_sharing": true,
"item_type": "physical",
"item_type_name": "<string>",
"name": "<string>",
"option1_name": "<string>",
"option2_name": "<string>",
"option3_name": "<string>",
"uuid": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"is_editable": true
}
}
],
"business": {
"account_holder": "<string>",
"email": "jsmith@example.com",
"id": 123,
"is_banned": true,
"logo": "<string>",
"unique_id": "<string>",
"username": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"created_by": {
"aff_code": "<string>",
"avatar": "<string>",
"email": "jsmith@example.com",
"fullname": "<string>",
"id": 123,
"phone": "<string>"
},
"custom_id": "<string>",
"description": "<string>",
"id": 123,
"images": [
"<string>"
],
"is_bundle_sharing": true,
"labels": [
{
"name": "<string>"
}
],
"last_updated_at": "2023-11-07T05:31:56Z",
"last_updated_by": {
"aff_code": "<string>",
"avatar": "<string>",
"email": "jsmith@example.com",
"fullname": "<string>",
"id": 123,
"phone": "<string>"
},
"meta_thumbnail": "<string>",
"name": "<string>",
"public_name": "<string>",
"rich_description": "<string>",
"weight_bump": 123
}Requires the bundle:update machine scope. Updates an existing bundle with the provided data.
curl --request PATCH \
--url https://api.myscalev.com/v3/bundles/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bundlelines": [
{
"quantity": 123,
"variant_id": 123
}
],
"custom_id": "<string>",
"description": "<string>",
"images": [
"<string>"
],
"meta_thumbnail": "<string>",
"name": "<string>",
"public_name": "<string>",
"rich_description": "<string>",
"weight_bump": 123
}
'{
"bundle_price_options": [
{
"form_displays": [
{
"id": 123,
"page_display": {
"id": 123,
"page": {
"id": 123,
"is_published": true,
"name": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"slug": "<string>",
"store_id": 123,
"unique_id": "<string>"
}
}
}
],
"id": 123,
"name": "<string>",
"price": 123,
"price_bt": 123,
"slug": "<string>",
"stores": [
{
"custom_domain": {
"full_url": "<string>",
"id": 123,
"is_verified": true
},
"id": 123,
"name": "<string>"
}
],
"unique_id": "<string>",
"upsell_form_displays": [
{
"id": 123,
"page_display": {
"id": 123,
"page": {
"id": 123,
"is_published": true,
"name": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"slug": "<string>",
"store_id": 123,
"unique_id": "<string>"
}
}
}
]
}
],
"bundlelines": [
{
"id": 123,
"quantity": 123,
"subtotal": "<string>",
"variant": {
"cogs": 123,
"price_bt": 123,
"validity_period_unit": "day",
"display": "<string>",
"option1_value": "<string>",
"image_configs": {},
"reseller_price_bt": 123,
"option2_value": "<string>",
"reseller_price": 123,
"fullname": "<string>",
"validity_period": 123,
"uuid": "<string>",
"sku": "<string>",
"digital_product_files": [
{
"content_type": "<string>",
"id": 123,
"name": "<string>",
"size_in_bytes": 123,
"url": "<string>"
}
],
"product_name": "<string>",
"item_type": "physical",
"pricing_type": "one_time",
"self_file_urls": [
"<string>"
],
"name": "<string>",
"id": 123,
"unique_id": "<string>",
"cogs_bt": 123,
"currency": "IDR",
"price": 123,
"images": [
"<string>"
],
"weight": 123,
"is_checked": true,
"interval_count": 123,
"last_updated_at": "2023-11-07T05:31:56Z",
"option3_value": "<string>",
"interval": "day",
"metadata": {},
"product": {
"business": {
"account_holder": "<string>",
"email": "jsmith@example.com",
"id": 123,
"is_banned": true,
"logo": "<string>",
"unique_id": "<string>",
"username": "<string>"
},
"description": "<string>",
"display": "<string>",
"id": 123,
"is_inventory": true,
"is_multiple": true,
"is_product_sharing": true,
"item_type": "physical",
"item_type_name": "<string>",
"name": "<string>",
"option1_name": "<string>",
"option2_name": "<string>",
"option3_name": "<string>",
"uuid": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"is_editable": true
}
}
],
"business": {
"account_holder": "<string>",
"email": "jsmith@example.com",
"id": 123,
"is_banned": true,
"logo": "<string>",
"unique_id": "<string>",
"username": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"created_by": {
"aff_code": "<string>",
"avatar": "<string>",
"email": "jsmith@example.com",
"fullname": "<string>",
"id": 123,
"phone": "<string>"
},
"custom_id": "<string>",
"description": "<string>",
"id": 123,
"images": [
"<string>"
],
"is_bundle_sharing": true,
"labels": [
{
"name": "<string>"
}
],
"last_updated_at": "2023-11-07T05:31:56Z",
"last_updated_by": {
"aff_code": "<string>",
"avatar": "<string>",
"email": "jsmith@example.com",
"fullname": "<string>",
"id": 123,
"phone": "<string>"
},
"meta_thumbnail": "<string>",
"name": "<string>",
"public_name": "<string>",
"rich_description": "<string>",
"weight_bump": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bundle data to update
List of Bundle Lines
Show child attributes
Custom Identifier
Description
List of Image URLs
Meta Thumbnail URL
Name
Public Name
Rich Description
Weight Bump
Bundle updated successfully
List of Bundle Price Options
Show child attributes
List of Bundle Lines with Product details
Show child attributes
Show child attributes
Creation timestamp
Show child attributes
Custom Identifier
Description
Bundle ID
List of Image URLs
Is Bundle Sharing Enabled
List of labels associated with the product
Show child attributes
Last update timestamp
Show child attributes
Meta Thumbnail URL
Name
Public Name
Rich Description
Weight Bump